Create product review
Records a review with rating, content and author, and returns the created review.
Path Parameters
Identifier of the product.
Header Parameters
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/catalog/products/7204558912004322039/reviews" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "rating": 5, "content": "Gracias por tu compra, Andrea.", "title": "Muy buena calidad", "reviewerName": "Muy buena calidad", "reviewerEmail": "andrea.ramos@example.com", "customerId": "7204558912004326262", "orderId": "7204558912004325350", "status": "pending" }'{ "id": "7204558912004321328", "productId": "7204558912004322039", "productName": "Muy buena calidad", "customerId": "7204558912004326262", "orderId": "7204558912004325350", "isVerifiedPurchase": true, "rating": 5, "title": "Muy buena calidad", "content": "Gracias por tu compra, Andrea.", "reviewerName": "Muy buena calidad", "reviewerEmail": "andrea.ramos@example.com", "status": "pending", "approvedAt": "2026-09-28T15:30:00Z", "approvedBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "createdOn": "2026-09-28T15:30:00Z", "updatedOn": "2026-09-28T15:30:00Z"}